const defaultState = {
  shows: [],
  filter: "",
  perPage: 30,
  selectedImdbId: "",
};

export default function showStore(state = defaultState, action) {
  switch (action.type) {
    case 'SHOW_LIST_FETCH_FULFILLED':
      let selectedImdbId = "";
      // Select the first show
      if (action.payload.data.length > 0) {
        selectedImdbId = action.payload.data[0].imdb_id;
      }
      return Object.assign({}, state, {
        shows: action.payload.data,
        selectedImdbId: selectedImdbId,
      })
    case 'SELECT_SHOW':
      // Don't select the show if we're fetching another show's details
      if (state.fetchingDetails) {
        return state
      }

      return Object.assign({}, state, {
        selectedImdbId: action.imdbId,
      })
    default:
      return state
  }
}
